Bug 176932 - NPTL: mmap error when memory area is bigger than the mmap'ed object
NPTL: mmap error when memory area is bigger than the mmap'ed object
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
http://nptl.bullopensource.org/Tests/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-04 10:21 EST by Tony Reix
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 13:41:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Reix 2006-01-04 10:21:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
OPTS test:

mmap/28-1.c
 	Create an object, then mmap more memory than the object size.
 	Linux does not return an error. 


Details are available at:
http://nptl.bullopensource.org/Tests/results/report.php
Browse: (TC2) 2xi686HT - RHAS4u2 Run 1,2,3


See:
http://nptl.bullopensource.org/Tests/results/detailed.php?run_id=10&testcase_id=3446

Version-Release number of selected component (if applicable):
Unmodified RHEL4u2

How reproducible:
Always

Steps to Reproduce:
Use OPTS.
(Used version was:  OPTS cvs repository on Nov 14, 2005)

Actual Results:  See:
http://nptl.bullopensource.org/Tests/results/detailed.php?run_id=10&testcase_id=3446

Additional info:
Comment 1 Tony Reix 2006-01-04 11:00:56 EST
Use the 3 (correct !) URLS:

http://nptl.bullopensource.org/Tests/TC2/report.php#problems

http://nptl.bullopensource.org/Tests/results/run-browse.php
     Click the "Browse" button of : (TC2) 2xi686HT - RHAS4u2 Run 3
     You can also select 2 runs and click the "Compare Selected" button.
Comment 2 Jason Baron 2006-01-17 13:40:47 EST
I think that this behavior is in keeping with The SUS standard. Quoting from the
SUS 3 standard:

The system shall always zero-fill any partial page at the end of an object.
Further, the system shall never write out any modified portions of the last page
of an object which are beyond its end. [MPR] [Option Start]  References within
the address range starting at pa and continuing for len bytes to whole pages
following the end of an object shall result in delivery of a SIGBUS signal.
[Option End]

This seems to imply that one can map past the end of the end of the object. And
in fact, linux devlivers a SIGBUS in thish case.

Note You need to log in before you can comment on or make changes to this bug.